Package:

## Class byte[][]

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `List` | `flatten()` Flattens a 2D array into a new collection.
    `byte[][]` | `transpose()` A transpose method for 2D byte arrays.

- - ### Methods Detail

    - #### public List flatten()

      Flattens a 2D array into a new collection. The items are copied row by row.

      Example usage:

          byte[][] array = [[0, 1], [2, 3]]
          assert array.flatten() == [0, 1, 2, 3]

      Returns:
        a Collection of the array elements
      Since:
        5.0.0

    - #### public byte[][] transpose()

      A transpose method for 2D byte arrays.

      Example usage:

          byte[][] bytes = [[1, 10], [2, 20]]
          byte[][] expected = [[1, 2], [10, 20]]
          def result = bytes.transpose()
          assert result == expected
          assert bytes.class.componentType == result.class.componentType

      Returns:
        the transposed 2D byte array
      Since:
        5.0.0